---
search:
  tags:
    - 工具
    - GET
seo:
  description: 傳回 bearer 憑證可見的工具名稱、說明、權限範圍、確認要求與輸入結構。
sidebar:
  label: 探索可用工具
  badge: GET
title: 探索可用工具
type: openapi-operation
---
傳回 bearer 憑證可見的工具名稱、說明、權限範圍、確認要求與輸入結構。

`GET /api/v1/tools`

**回應**

- `200` — 可用工具的描述物件。
- `400` — 請求無效。不接受查詢參數。工具驗證失敗可能使用工具錯誤封裝格式。
- `401` — 未提供 bearer 憑證，或憑證無效、已到期。
- `403` — 憑證缺少必要權限。
- `404` — 供程式呼叫的 API 或要求的工具無法使用。
- `429` — 已超過速率限制。此錯誤可重試。
- `503` — API 或其上游執行環節無法使用。

回應範例, 200:

```json
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}
```
